Module org.jfree.chart3d
Package org.jfree.chart3d.style

# Class StandardChartStyle

java.lang.Object
org.jfree.chart3d.style.StandardChartStyle

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `ChartStyle`

public class StandardChartStyle extends Object implements ChartStyle, Cloneable, Serializable
A standard implementation of the `ChartStyle` interface.
NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.

Since:
  1.2
See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Color`
`DEFAULT_AXIS_LABEL_COLOR`
The default foreground color for axis labels.
`static final Font`
`DEFAULT_AXIS_LABEL_FONT`
The default font for axis labels.
`static final Color`
`DEFAULT_AXIS_TICK_LABEL_COLOR`
The default foreground color for axis tick labels.
`static final Font`
`DEFAULT_AXIS_TICK_LABEL_FONT`
The default font for axis tick labels.
`static final Color`
`DEFAULT_CHARTBOX_COLOR`
The default chartbox color.
`static final boolean`
`DEFAULT_COLUMN_GRIDLINES_VISIBLE`
The default visibility for gridlines perpendicular to the column-axis.
`static final Color`
`DEFAULT_GRIDLINE_COLOR`
The default gridline color.
`static final Stroke`
`DEFAULT_GRIDLINE_STROKE`
The default gridline stroke.
`static final Color`
`DEFAULT_LEGEND_FOOTER_COLOR`
The default foreground color for the legend footer if there is one.
`static final Font`
`DEFAULT_LEGEND_FOOTER_FONT`
The default font for legend footers.
`static final Color`
`DEFAULT_LEGEND_HEADER_COLOR`
The default foreground color for the legend header if there is one.
`static final Font`
`DEFAULT_LEGEND_HEADER_FONT`
The default font for legend headers.
`static final Color`
`DEFAULT_LEGEND_ITEM_BACKGROUND_COLOR`
The default legend item background color.
`static final Color`
`DEFAULT_LEGEND_ITEM_COLOR`
The default legend item color.
`static final Font`
`DEFAULT_LEGEND_ITEM_FONT`
The default font for legend item text.
`static final Shape`
`DEFAULT_LEGEND_ITEM_SHAPE`
The default legend item shape.
`static final Color`
`DEFAULT_MARKER_FILL_COLOR`
The default fill color for markers.
`static final Color`
`DEFAULT_MARKER_LABEL_COLOR`
The default foreground color for marker labels.
`static final Font`
`DEFAULT_MARKER_LABEL_FONT`
The default font for marker labels.
`static final Color`
`DEFAULT_MARKER_LINE_COLOR`
The default color for marker lines.
`static final Stroke`
`DEFAULT_MARKER_LINE_STROKE`
The default stroke for marker lines.
`static final boolean`
`DEFAULT_ROW_GRIDLINES_VISIBLE`
The default visibility for gridlines perpendicular to the row-axis.
`static final Color`
`DEFAULT_SECTION_LABEL_COLOR`
The default color for pie section labels.
`static final Font`
`DEFAULT_SECTION_LABEL_FONT`
The default font for pie section labels.
`static final Font`
`DEFAULT_SUBTITLE_FONT`
The default subtitle font.
`static final Color`
`DEFAULT_TEXT_BACKGROUND_COLOR`
The default background color for the title and subtitle, and legend header and footer.
`static final Font`
`DEFAULT_TITLE_FONT`
The default title font.
`static final boolean`
`DEFAULT_X_GRIDLINES_VISIBLE`
The default visibility for gridlines perpendicular to the x-axis.
`static final boolean`
`DEFAULT_Y_GRIDLINES_VISIBLE`
The default visibility for gridlines perpendicular to the y-axis.
`static final boolean`
`DEFAULT_Z_GRIDLINES_VISIBLE`
The default visibility for gridlines perpendicular to the z-axis.

## Constructor Summary

Constructors
Constructor
Description
`StandardChartStyle()`
Creates a new instance with default attributes.
`StandardChartStyle(StandardChartStyle source)`
A copy constructor that creates a new style that is a copy of an existing style (note that the existing style listeners are not copied).

## Method Summary

Modifier and Type
Method
Description
`void`
`addChangeListener(ChartStyleChangeListener listener)`
Registers a listener to receive notification of changes to the chart.
`ChartStyle`
`clone()`
Returns a clone of the chart style (note that the change listeners are not cloned).
`static Font`
`createDefaultFont(int style, int size)`
Creates a default font with the specified `style` and `size`.
`boolean`
`equals(Object obj)`
Tests this instance for equality with an arbitrary object.
`protected void`
`fireChangeEvent()`
Sends a `ChartStyleChangeEvent` to all registered listeners.
`Color`
`getAxisLabelColor()`
Returns the foreground color for the axis label (the main label, not the tick labels).
`Font`
`getAxisLabelFont()`
Returns the font used for the axis label.
`Color`
`getAxisTickLabelColor()`
Returns the color used to draw the tick labels on the axis.
`Font`
`getAxisTickLabelFont()`
Returns the font used for the axis tick labels.
`RectanglePainter`
`getBackgroundPainter()`
Returns the background painter.
`Color`
`getChartBoxColor()`
Returns the color used for the `ChartBox3D` (for those charts that have one).
`boolean`
`getColumnAxisGridlinesVisible()`
Returns the flag that controls whether or not gridlines are drawn perpendicular to the column axis in category plots.
`Color`
`getGridlineColor()`
Returns the color used for the gridlines.
`Stroke`
`getGridlineStroke()`
Returns the stroke used to draw the gridlines.
`Color`
`getLegendFooterBackgroundColor()`
Returns the background color for the legend footer.
`Color`
`getLegendFooterColor()`
Returns the foreground color for the legend footer.
`Font`
`getLegendFooterFont()`
Returns the font for the legend footer.
`Color`
`getLegendHeaderBackgroundColor()`
Returns the background color for the legend header.
`Color`
`getLegendHeaderColor()`
Returns the foreground color for the legend header.
`Font`
`getLegendHeaderFont()`
Returns the font used to display the legend header.
`Color`
`getLegendItemBackgroundColor()`
Returns the background color for legend items.
`Color`
`getLegendItemColor()`
Returns the foreground color used for the legend items.
`Font`
`getLegendItemFont()`
Returns the font used for legend item text.
`Shape`
`getLegendItemShape()`
Returns the standard shape for legend items.
`Color`
`getMarkerFillColor()`
Returns the color used to fill the band representing the marker range.
`Color`
`getMarkerLabelColor()`
Returns the color for the marker labels.
`Font`
`getMarkerLabelFont()`
Returns the font used to draw marker labels.
`Color`
`getMarkerLineColor()`
Returns the color used to draw marker lines.
`Stroke`
`getMarkerLineStroke()`
Returns the stroke used to draw marker lines.
`boolean`
`getRowAxisGridlinesVisible()`
Returns the flag that controls whether or not gridlines are drawn perpendicular to the row axis in category plots.
`Color`
`getSectionLabelColor()`
Returns the color used to display pie section labels.
`Font`
`getSectionLabelFont()`
Returns the font used for pie section labels.
`Color[]`
`getStandardColors()`
Returns the standard colors for the style.
`Color`
`getSubtitleBackgroundColor()`
Returns the background color for the chart subtitle.
`Color`
`getSubtitleColor()`
Returns the color for the chart subtitle.
`Font`
`getSubtitleFont()`
Returns the font used for the chart subtitle.
`Color`
`getTitleBackgroundColor()`
Returns the background color for the title.
`Color`
`getTitleColor()`
Returns the title color.
`Font`
`getTitleFont()`
Returns the chart title font.
`boolean`
`getXAxisGridlinesVisible()`
Returns the flag that specifies whether or not gridlines are drawn for the x-axis.
`boolean`
`getYAxisGridlinesVisible()`
Returns the flag that specifies whether or not gridlines are drawn for the y-axis.
`boolean`
`getZAxisGridlinesVisible()`
Returns the flag that specifies whether or not gridlines are drawn for the z-axis.
`boolean`
`isNotify()`
Returns a flag that controls whether or not change events are sent to registered listeners.
`void`
`notifyListeners(ChartStyleChangeEvent event)`
Notifies all registered listeners that the chart style has been modified.
`void`
`removeChangeListener(ChartStyleChangeListener listener)`
Deregisters a listener so that it no longer receives notification of changes to the chart.
`void`
`setAxisLabelColor(Color color)`
Sets the foreground color for the axis label and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setAxisLabelFont(Font font)`
Sets the font used for the axis label and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setAxisTickLabelColor(Color color)`
Sets the foreground color for the axis tick labels and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setAxisTickLabelFont(Font font)`
Sets the font used for the axis tick labels and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setBackgroundPainter(RectanglePainter painter)`
Sets the background painter.
`void`
`setChartBoxColor(Color color)`
Sets the color used for the chart box and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setGridlineColor(Color color)`
Sets the color for the gridlines and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setGridlineStroke(Stroke stroke)`
Sets the stroke used for gridlines and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setLegendFooterBackgroundColor(Color color)`
Sets the background color for the legend footer and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setLegendFooterColor(Color color)`
Sets the foreground color for the legend footer and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setLegendFooterFont(Font font)`
Sets the legend footer font and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setLegendHeaderBackgroundColor(Color color)`
Sets the background color for the legend header and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setLegendHeaderColor(Color color)`
Sets the foreground color for the legend header and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setLegendHeaderFont(Font font)`
Sets the legend header font and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setLegendItemBackgroundColor(Color color)`
Sets the background color for legend items and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setLegendItemColor(Color color)`
Sets the foreground color used for legend item text and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setLegendItemFont(Font font)`
Sets the legend item font and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setLegendItemShape(Shape shape)`
Sets the default shape for legend items and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setMarkerFillColor(Color color)`
Sets the marker fill color and sends a change event to all registered listeners.
`void`
`setMarkerLabelColor(Color color)`
Sets the color for the marker labels and sends a change event to all registered listeners.
`void`
`setMarkerLabelFont(Font font)`
Sets the marker label font and sends a change event to all registered listeners.
`void`
`setMarkerLineColor(Color color)`
Sets the marker line color and sends a change event to all registered listeners.
`void`
`setMarkerLineStroke(Stroke stroke)`
Sets the stroke for the marker lines and sends a change event to all registered listeners.
`void`
`setNotify(boolean notify)`
Sets a flag that controls whether or not listeners receive `ChartStyleChangeEvent` notifications.
`void`
`setSectionLabelColor(Color color)`
Sets the color used for the pie section labels and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setSectionLabelFont(Font font)`
Sets the font used for the pie section labels and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setStandardColors(Color... colors)`
Sets the standard colors for the chart and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setSubtitleBackgroundColor(Color color)`
Sets the background color for the chart subtitle and sends a change event to all registered listeners.
`void`
`setSubtitleColor(Color color)`
Sets the color for the chart subtitle and sends a change event to all registered listeners.
`void`
`setSubtitleFont(Font font)`
Sets the font used for the chart subtitle and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setTitleBackgroundColor(Color color)`
Sets the background color for the title and sends a change event to all registered listeners.
`void`
`setTitleColor(Color color)`
Sets the foreground color for the chart title and sends a change event to all registered listeners.
`void`
`setTitleFont(Font font)`
Sets the font used for the chart title and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setXAxisGridlinesVisible(boolean visible)`
Sets the flag that controls whether or not gridlines are drawn for the x-axis and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setYAxisGridlinesVisible(boolean visible)`
Sets the flag that controls whether or not gridlines are drawn for the y-axis and sends a `ChartStyleChangeEvent` to all registered listeners.
`void`
`setZAxisGridlinesVisible(boolean visible)`
Sets the flag that controls whether or not gridlines are drawn for the z-axis and sends a `ChartStyleChangeEvent` to all registered listeners.

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_TEXT_BACKGROUND_COLOR

public static final Color DEFAULT_TEXT_BACKGROUND_COLOR
The default background color for the title and subtitle, and legend header and footer.

### DEFAULT_TITLE_FONT

public static final Font DEFAULT_TITLE_FONT
The default title font.

### DEFAULT_SUBTITLE_FONT

public static final Font DEFAULT_SUBTITLE_FONT
The default subtitle font.

### DEFAULT_CHARTBOX_COLOR

public static final Color DEFAULT_CHARTBOX_COLOR
The default chartbox color.

### DEFAULT_ROW_GRIDLINES_VISIBLE

public static final boolean DEFAULT_ROW_GRIDLINES_VISIBLE
The default visibility for gridlines perpendicular to the row-axis.

See Also:
  - Constant Field Values

### DEFAULT_COLUMN_GRIDLINES_VISIBLE

public static final boolean DEFAULT_COLUMN_GRIDLINES_VISIBLE
The default visibility for gridlines perpendicular to the column-axis.

See Also:
  - Constant Field Values

### DEFAULT_X_GRIDLINES_VISIBLE

public static final boolean DEFAULT_X_GRIDLINES_VISIBLE
The default visibility for gridlines perpendicular to the x-axis.

See Also:
  - Constant Field Values

### DEFAULT_Y_GRIDLINES_VISIBLE

public static final boolean DEFAULT_Y_GRIDLINES_VISIBLE
The default visibility for gridlines perpendicular to the y-axis.

See Also:
  - Constant Field Values

### DEFAULT_Z_GRIDLINES_VISIBLE

public static final boolean DEFAULT_Z_GRIDLINES_VISIBLE
The default visibility for gridlines perpendicular to the z-axis.

See Also:
  - Constant Field Values

### DEFAULT_GRIDLINE_COLOR

public static final Color DEFAULT_GRIDLINE_COLOR
The default gridline color.

### DEFAULT_GRIDLINE_STROKE

public static final Stroke DEFAULT_GRIDLINE_STROKE
The default gridline stroke.

### DEFAULT_SECTION_LABEL_FONT

public static final Font DEFAULT_SECTION_LABEL_FONT
The default font for pie section labels.

### DEFAULT_SECTION_LABEL_COLOR

public static final Color DEFAULT_SECTION_LABEL_COLOR
The default color for pie section labels.

### DEFAULT_AXIS_LABEL_FONT

public static final Font DEFAULT_AXIS_LABEL_FONT
The default font for axis labels.

### DEFAULT_AXIS_LABEL_COLOR

public static final Color DEFAULT_AXIS_LABEL_COLOR
The default foreground color for axis labels.

### DEFAULT_AXIS_TICK_LABEL_FONT

public static final Font DEFAULT_AXIS_TICK_LABEL_FONT
The default font for axis tick labels.

### DEFAULT_AXIS_TICK_LABEL_COLOR

public static final Color DEFAULT_AXIS_TICK_LABEL_COLOR
The default foreground color for axis tick labels.

### DEFAULT_LEGEND_HEADER_FONT

public static final Font DEFAULT_LEGEND_HEADER_FONT
The default font for legend headers.

### DEFAULT_LEGEND_HEADER_COLOR

public static final Color DEFAULT_LEGEND_HEADER_COLOR
The default foreground color for the legend header if there is one.

### DEFAULT_LEGEND_ITEM_SHAPE

public static final Shape DEFAULT_LEGEND_ITEM_SHAPE
The default legend item shape.

### DEFAULT_LEGEND_ITEM_FONT

public static final Font DEFAULT_LEGEND_ITEM_FONT
The default font for legend item text.

### DEFAULT_LEGEND_ITEM_COLOR

public static final Color DEFAULT_LEGEND_ITEM_COLOR
The default legend item color.

### DEFAULT_LEGEND_ITEM_BACKGROUND_COLOR

public static final Color DEFAULT_LEGEND_ITEM_BACKGROUND_COLOR
The default legend item background color.

### DEFAULT_LEGEND_FOOTER_FONT

public static final Font DEFAULT_LEGEND_FOOTER_FONT
The default font for legend footers.

### DEFAULT_LEGEND_FOOTER_COLOR

public static final Color DEFAULT_LEGEND_FOOTER_COLOR
The default foreground color for the legend footer if there is one.

### DEFAULT_MARKER_LABEL_FONT

public static final Font DEFAULT_MARKER_LABEL_FONT
The default font for marker labels.

### DEFAULT_MARKER_LABEL_COLOR

public static final Color DEFAULT_MARKER_LABEL_COLOR
The default foreground color for marker labels.

### DEFAULT_MARKER_LINE_STROKE

public static final Stroke DEFAULT_MARKER_LINE_STROKE
The default stroke for marker lines.

### DEFAULT_MARKER_LINE_COLOR

public static final Color DEFAULT_MARKER_LINE_COLOR
The default color for marker lines.

### DEFAULT_MARKER_FILL_COLOR

public static final Color DEFAULT_MARKER_FILL_COLOR
The default fill color for markers.

## Constructor Details

### StandardChartStyle

public StandardChartStyle()
Creates a new instance with default attributes.

### StandardChartStyle

public StandardChartStyle(StandardChartStyle source)
A copy constructor that creates a new style that is a copy of an existing style (note that the existing style listeners are not copied).

Parameters:
  `source` - the source style to copy (`null` not permitted).

## Method Details

### createDefaultFont

public static Font createDefaultFont(int style, int size)
Creates a default font with the specified `style` and `size`. The method attempts to use 'Palatino Linotype' ('Palatino' on MacOSX) but if it is not found it falls back to the `Font.SERIF` font family.

Parameters:
  `style` - the style (see java.awt.Font).
  `size` - the size.
Returns:
  The font.
Since:
  1.3

### getBackgroundPainter

public RectanglePainter getBackgroundPainter()
Returns the background painter.

Specified by:
  `getBackgroundPainter` in interface `ChartStyle`
Returns:
  The background painter (never `null`).

### setBackgroundPainter

public void setBackgroundPainter(RectanglePainter painter)
Sets the background painter.

Parameters:
  `painter` - the painter (`null` not permitted).

### getTitleFont

public Font getTitleFont()
Returns the chart title font. The default value is `DEFAULT_TITLE_FONT`.

Specified by:
  `getTitleFont` in interface `ChartStyle`
Returns:
  The chart title font (never `null`).

### setTitleFont

public void setTitleFont(Font font)
Sets the font used for the chart title and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `font` - the font (`null` not permitted).

### getTitleColor

public Color getTitleColor()
Returns the title color. The default value is `Color.BLACK`.

Specified by:
  `getTitleColor` in interface `ChartStyle`
Returns:
  The title color (never `null`).

### setTitleColor

public void setTitleColor(Color color)
Sets the foreground color for the chart title and sends a change event to all registered listeners.

Parameters:
  `color` - the color (`null` not permitted).

### getTitleBackgroundColor

public Color getTitleBackgroundColor()
Returns the background color for the title. The default value is `DEFAULT_TEXT_BACKGROUND_COLOR`.

Specified by:
  `getTitleBackgroundColor` in interface `ChartStyle`
Returns:
  The background color (never `null`).

### setTitleBackgroundColor

public void setTitleBackgroundColor(Color color)
Sets the background color for the title and sends a change event to all registered listeners.

Parameters:
  `color` - the color (`null` not permitted).

### getSubtitleFont

public Font getSubtitleFont()
Returns the font used for the chart subtitle. The default value is `DEFAULT_SUBTITLE_FONT`.

Specified by:
  `getSubtitleFont` in interface `ChartStyle`
Returns:
  The chart subtitle font (never `null`).

### setSubtitleFont

public void setSubtitleFont(Font font)
Sets the font used for the chart subtitle and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `font` - the font (`null` not permitted).

### getSubtitleColor

public Color getSubtitleColor()
Returns the color for the chart subtitle. The default value is `Color.BLACK`.

Specified by:
  `getSubtitleColor` in interface `ChartStyle`
Returns:
  The color (never `null`).

### setSubtitleColor

public void setSubtitleColor(Color color)
Sets the color for the chart subtitle and sends a change event to all registered listeners.

Parameters:
  `color` - the color (`null` not permitted).

### getSubtitleBackgroundColor

public Color getSubtitleBackgroundColor()
Returns the background color for the chart subtitle. The default value is `DEFAULT_TEXT_BACKGROUND_COLOR`.

Specified by:
  `getSubtitleBackgroundColor` in interface `ChartStyle`
Returns:
  The background color (never `null`).

### setSubtitleBackgroundColor

public void setSubtitleBackgroundColor(Color color)
Sets the background color for the chart subtitle and sends a change event to all registered listeners.

Parameters:
  `color` - the color (`null` not permitted).

### getChartBoxColor

public Color getChartBoxColor()
Returns the color used for the `ChartBox3D` (for those charts that have one). The default value is `DEFAULT_CHARTBOX_COLOR`.

Specified by:
  `getChartBoxColor` in interface `ChartStyle`
Returns:
  The color (never `null`).

### setChartBoxColor

public void setChartBoxColor(Color color)
Sets the color used for the chart box and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `color` - the color (`null` not permitted).

### getColumnAxisGridlinesVisible

public boolean getColumnAxisGridlinesVisible()
Returns the flag that controls whether or not gridlines are drawn perpendicular to the column axis in category plots.

Specified by:
  `getColumnAxisGridlinesVisible` in interface `ChartStyle`
Returns:
  A boolean.

### getRowAxisGridlinesVisible

public boolean getRowAxisGridlinesVisible()
Returns the flag that controls whether or not gridlines are drawn perpendicular to the row axis in category plots.

Specified by:
  `getRowAxisGridlinesVisible` in interface `ChartStyle`
Returns:
  A boolean.

### getXAxisGridlinesVisible

public boolean getXAxisGridlinesVisible()
Returns the flag that specifies whether or not gridlines are drawn for the x-axis. The default value is `false`.

Specified by:
  `getXAxisGridlinesVisible` in interface `ChartStyle`
Returns:
  A boolean.

### setXAxisGridlinesVisible

public void setXAxisGridlinesVisible(boolean visible)
Sets the flag that controls whether or not gridlines are drawn for the x-axis and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `visible` - the new flag value.

### getYAxisGridlinesVisible

public boolean getYAxisGridlinesVisible()
Returns the flag that specifies whether or not gridlines are drawn for the y-axis. The default value is `true`.

Specified by:
  `getYAxisGridlinesVisible` in interface `ChartStyle`
Returns:
  A boolean.

### setYAxisGridlinesVisible

public void setYAxisGridlinesVisible(boolean visible)
Sets the flag that controls whether or not gridlines are drawn for the y-axis and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `visible` - the new flag value.

### getZAxisGridlinesVisible

public boolean getZAxisGridlinesVisible()
Returns the flag that specifies whether or not gridlines are drawn for the z-axis. The default value is `true`.

Specified by:
  `getZAxisGridlinesVisible` in interface `ChartStyle`
Returns:
  A boolean.

### setZAxisGridlinesVisible

public void setZAxisGridlinesVisible(boolean visible)
Sets the flag that controls whether or not gridlines are drawn for the z-axis and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `visible` - the new flag value.

### getGridlineColor

public Color getGridlineColor()
Returns the color used for the gridlines. The default value is `DEFAULT_GRIDLINE_STROKE`.

Specified by:
  `getGridlineColor` in interface `ChartStyle`
Returns:
  The color used for the gridlines (never `null`).

### setGridlineColor

public void setGridlineColor(Color color)
Sets the color for the gridlines and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `color` - the color (`null` not permitted).

### getGridlineStroke

public Stroke getGridlineStroke()
Returns the stroke used to draw the gridlines. The default value is `DEFAULT_GRIDLINE_STROKE`.

Specified by:
  `getGridlineStroke` in interface `ChartStyle`
Returns:
  The stroke (never `null`).

### setGridlineStroke

public void setGridlineStroke(Stroke stroke)
Sets the stroke used for gridlines and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `stroke` - the stroke (`null` not permitted).

### getSectionLabelFont

public Font getSectionLabelFont()
Returns the font used for pie section labels. The default value is `DEFAULT_SECTION_LABEL_FONT`.

Specified by:
  `getSectionLabelFont` in interface `ChartStyle`
Returns:
  The font used for pie section labels (never `null`).

### setSectionLabelFont

public void setSectionLabelFont(Font font)
Sets the font used for the pie section labels and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `font` - the font (`null` not permitted).

### getSectionLabelColor

public Color getSectionLabelColor()
Returns the color used to display pie section labels. The default value is `DEFAULT_SECTION_LABEL_COLOR`.

Specified by:
  `getSectionLabelColor` in interface `ChartStyle`
Returns:
  The color (never `null`).

### setSectionLabelColor

public void setSectionLabelColor(Color color)
Sets the color used for the pie section labels and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `color` - the color (`null` not permitted).

### getStandardColors

public Color[] getStandardColors()
Returns the standard colors for the style. The default value is initialised by calling `Colors.getDefaultColors()`.

Specified by:
  `getStandardColors` in interface `ChartStyle`
Returns:
  The standard colors (never `null`).

### setStandardColors

public void setStandardColors(Color... colors)
Sets the standard colors for the chart and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `colors` - the colors (`null` not permitted).

### getAxisLabelFont

public Font getAxisLabelFont()
Returns the font used for the axis label. The default value is `DEFAULT_AXIS_LABEL_FONT`.

Specified by:
  `getAxisLabelFont` in interface `ChartStyle`
Returns:
  The font used for the axis label.
See Also:
  - `ChartStyle.getAxisTickLabelFont()`

### setAxisLabelFont

public void setAxisLabelFont(Font font)
Sets the font used for the axis label and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `font` - the font (`null` not permitted).

### getAxisLabelColor

public Color getAxisLabelColor()
Returns the foreground color for the axis label (the main label, not the tick labels). The default value is `DEFAULT_AXIS_LABEL_COLOR`.

Specified by:
  `getAxisLabelColor` in interface `ChartStyle`
Returns:
  The color (never `null`).

### setAxisLabelColor

public void setAxisLabelColor(Color color)
Sets the foreground color for the axis label and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `color` - the color (`null` not permitted).

### getAxisTickLabelFont

public Font getAxisTickLabelFont()
Returns the font used for the axis tick labels. The default value is `DEFAULT_AXIS_TICK_LABEL_FONT`.

Specified by:
  `getAxisTickLabelFont` in interface `ChartStyle`
Returns:
  The font (never `null`).
See Also:
  - `ChartStyle.getAxisLabelFont()`

### setAxisTickLabelFont

public void setAxisTickLabelFont(Font font)
Sets the font used for the axis tick labels and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `font` - the font (`null` not permitted).

### getAxisTickLabelColor

public Color getAxisTickLabelColor()
Returns the color used to draw the tick labels on the axis. The default value is `DEFAULT_AXIS_TICK_LABEL_COLOR`.

Specified by:
  `getAxisTickLabelColor` in interface `ChartStyle`
Returns:
  The color (never `null`).

### setAxisTickLabelColor

public void setAxisTickLabelColor(Color color)
Sets the foreground color for the axis tick labels and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `color` - the color (`null` not permitted).

### getLegendHeaderFont

public Font getLegendHeaderFont()
Returns the font used to display the legend header. The default value is `DEFAULT_LEGEND_HEADER_FONT`.

Specified by:
  `getLegendHeaderFont` in interface `ChartStyle`
Returns:
  The font (never `null`).

### setLegendHeaderFont

public void setLegendHeaderFont(Font font)
Sets the legend header font and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `font` - the font (`null` not permitted).

### getLegendHeaderColor

public Color getLegendHeaderColor()
Returns the foreground color for the legend header. The default value is `DEFAULT_LEGEND_HEADER_COLOR`.

Specified by:
  `getLegendHeaderColor` in interface `ChartStyle`
Returns:
  The color (never `null`).

### setLegendHeaderColor

public void setLegendHeaderColor(Color color)
Sets the foreground color for the legend header and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `color` - the color (`null` not permitted).

### getLegendHeaderBackgroundColor

public Color getLegendHeaderBackgroundColor()
Returns the background color for the legend header. The default value is `DEFAULT_TEXT_BACKGROUND_COLOR`.

Specified by:
  `getLegendHeaderBackgroundColor` in interface `ChartStyle`
Returns:
  The color (never `null`).

### setLegendHeaderBackgroundColor

public void setLegendHeaderBackgroundColor(Color color)
Sets the background color for the legend header and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `color` - the color (`null` not permitted).

### getLegendItemShape

public Shape getLegendItemShape()
Returns the standard shape for legend items. The default value is `DEFAULT_LEGEND_ITEM_SHAPE`.

Specified by:
  `getLegendItemShape` in interface `ChartStyle`
Returns:
  The legend shape (never `null`).

### setLegendItemShape

public void setLegendItemShape(Shape shape)
Sets the default shape for legend items and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `shape` - the shape (`null` not permitted).

### getLegendItemFont

public Font getLegendItemFont()
Returns the font used for legend item text. The default value is `DEFAULT_LEGEND_ITEM_FONT`.

Specified by:
  `getLegendItemFont` in interface `ChartStyle`
Returns:
  The font used for legend item text (never `null`).

### setLegendItemFont

public void setLegendItemFont(Font font)
Sets the legend item font and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `font` - the font (`null` not permitted).

### getLegendItemColor

public Color getLegendItemColor()
Returns the foreground color used for the legend items. The default value is `DEFAULT_LEGEND_ITEM_COLOR`.

Specified by:
  `getLegendItemColor` in interface `ChartStyle`
Returns:
  The color (never `null`).

### setLegendItemColor

public void setLegendItemColor(Color color)
Sets the foreground color used for legend item text and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `color` - the color (`null` not permitted).

### getLegendItemBackgroundColor

public Color getLegendItemBackgroundColor()
Returns the background color for legend items. The default value is `DEFAULT_LEGEND_ITEM_BACKGROUND_COLOR`.

Specified by:
  `getLegendItemBackgroundColor` in interface `ChartStyle`
Returns:
  The color (never `null`).

### setLegendItemBackgroundColor

public void setLegendItemBackgroundColor(Color color)
Sets the background color for legend items and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `color` - the color (`null` not permitted).

### getLegendFooterFont

public Font getLegendFooterFont()
Returns the font for the legend footer. The default value is `DEFAULT_LEGEND_FOOTER_FONT`.

Specified by:
  `getLegendFooterFont` in interface `ChartStyle`
Returns:
  The font (never `null`).

### setLegendFooterFont

public void setLegendFooterFont(Font font)
Sets the legend footer font and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `font` - the font (`null` not permitted).

### getLegendFooterColor

public Color getLegendFooterColor()
Returns the foreground color for the legend footer. The default value is `DEFAULT_LEGEND_FOOTER_COLOR`.

Specified by:
  `getLegendFooterColor` in interface `ChartStyle`
Returns:
  The color (never `null`).

### setLegendFooterColor

public void setLegendFooterColor(Color color)
Sets the foreground color for the legend footer and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `color` - the color (`null` not permitted).

### getLegendFooterBackgroundColor

public Color getLegendFooterBackgroundColor()
Returns the background color for the legend footer. The default value is `DEFAULT_TEXT_BACKGROUND_COLOR`.

Specified by:
  `getLegendFooterBackgroundColor` in interface `ChartStyle`
Returns:
  The color (never `null`).

### setLegendFooterBackgroundColor

public void setLegendFooterBackgroundColor(Color color)
Sets the background color for the legend footer and sends a `ChartStyleChangeEvent` to all registered listeners.

Parameters:
  `color` - the color (`null` not permitted).

### getMarkerLabelFont

public Font getMarkerLabelFont()
Returns the font used to draw marker labels.

Specified by:
  `getMarkerLabelFont` in interface `ChartStyle`
Returns:
  The font used to draw marker labels (never `null`).

### setMarkerLabelFont

public void setMarkerLabelFont(Font font)
Sets the marker label font and sends a change event to all registered listeners.

Parameters:
  `font` - the font (`null` not permitted).

### getMarkerLabelColor

public Color getMarkerLabelColor()
Returns the color for the marker labels.

Specified by:
  `getMarkerLabelColor` in interface `ChartStyle`
Returns:
  The color for the marker labels (never `null`).

### setMarkerLabelColor

public void setMarkerLabelColor(Color color)
Sets the color for the marker labels and sends a change event to all registered listeners.

Parameters:
  `color` - the color (`null` not permitted).

### getMarkerLineStroke

public Stroke getMarkerLineStroke()
Returns the stroke used to draw marker lines.

Specified by:
  `getMarkerLineStroke` in interface `ChartStyle`
Returns:
  The stroke used to draw marker lines (never `null`).

### setMarkerLineStroke

public void setMarkerLineStroke(Stroke stroke)
Sets the stroke for the marker lines and sends a change event to all registered listeners.

Parameters:
  `stroke` - the stroke (`null` not permitted).

### getMarkerLineColor

public Color getMarkerLineColor()
Returns the color used to draw marker lines.

Specified by:
  `getMarkerLineColor` in interface `ChartStyle`
Returns:
  The color used to draw marker lines (never `null`).

### setMarkerLineColor

public void setMarkerLineColor(Color color)
Sets the marker line color and sends a change event to all registered listeners.

Parameters:
  `color` - the color (`null` not permitted).

### getMarkerFillColor

public Color getMarkerFillColor()
Returns the color used to fill the band representing the marker range.

Specified by:
  `getMarkerFillColor` in interface `ChartStyle`
Returns:
  The fill color (never `null`).

### setMarkerFillColor

public void setMarkerFillColor(Color color)
Sets the marker fill color and sends a change event to all registered listeners.

Parameters:
  `color` - the color (`null` not permitted).

### addChangeListener

public void addChangeListener(ChartStyleChangeListener listener)
Registers a listener to receive notification of changes to the chart. When a style is added to a chart, the chart will register as a listener on the style.

Specified by:
  `addChangeListener` in interface `ChartStyle`
Parameters:
  `listener` - the listener.

### removeChangeListener

public void removeChangeListener(ChartStyleChangeListener listener)
Deregisters a listener so that it no longer receives notification of changes to the chart.

Specified by:
  `removeChangeListener` in interface `ChartStyle`
Parameters:
  `listener` - the listener.

### notifyListeners

public void notifyListeners(ChartStyleChangeEvent event)
Notifies all registered listeners that the chart style has been modified.

Parameters:
  `event` - information about the change event.

### isNotify

public boolean isNotify()
Returns a flag that controls whether or not change events are sent to registered listeners.

Returns:
  A boolean.
See Also:
  - `setNotify(boolean)`

### setNotify

public void setNotify(boolean notify)
Sets a flag that controls whether or not listeners receive `ChartStyleChangeEvent` notifications. This can be useful when updating multiple style attributes, you can call setNotify(false) first, update the styles, then call setNotify(true) at the end.

Parameters:
  `notify` - a boolean.
See Also:
  - `isNotify()`

### fireChangeEvent

protected void fireChangeEvent()
Sends a `ChartStyleChangeEvent` to all registered listeners.

### clone

public ChartStyle clone()
Returns a clone of the chart style (note that the change listeners are not cloned).

Specified by:
  `clone` in interface `ChartStyle`
Overrides:
  `clone` in class `Object`
Returns:
  A clone (never `null`).

### equals

public boolean equals(Object obj)
Tests this instance for equality with an arbitrary object.

Overrides:
  `equals` in class `Object`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.